Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | Public Attributes | List of all members
ViewRect Struct Reference
Graphical User Interface

Graphical rectangle structure. More...

`#include <iplugview.h>`

## Public Member Functions
| ViewRect (int32 l=0, int32 t=0, int32 r=0, int32 b=0)
int32 | getWidth () const
int32 | getHeight () const

## Public Attributes
int32 | left
int32 | top
int32 | right
int32 | bottom

## Detailed Description

Graphical rectangle structure.

Used with IPlugView.

## Constructor & Destructor Documentation

ViewRect | ( | int32 | l = `0`,
|  | int32 | t = `0`,
|  | int32 | r = `0`,
|  | int32 | b = `0`
| ) |  |
| inline

## Member Function Documentation

int32 getWidth | ( |  | ) | const
| inline

int32 getHeight | ( |  | ) | const
| inline

## Member Data Documentation

int32 left

int32 top

int32 right

int32 bottom

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.